## UA-Bot

**UA-Bot** - Bot for Mastodon that reboosts message if mentioned.

### Features

- Moderation - Send to Matrix room before reblog
- Reply or broken thread detection (not fully tested)
- Block instances and nicknames by regex

### Install

First, install Postgres (>= 14 will be fine, i guess).

Second, clone repo.

Copy `.env.example` to `.env` and edit with your data

Also create `nicknames.txt` and `domains.txt` (regex files):

- `nicknames.txt` - block by username or display name
- `domains.txt` - block by domain name

Tip: `#` in the beginning of the regex file means that this line will be ignored. You can use it as comment

Now you can install using **Dockerimage** or **manually**:

#### Docker

Build `Dockerfile` and run
Also, mount `domains.txt` and `nicknames.txt` to the `/app`

### Manually

Install Go >= 1.20

Next, build the project:

```sh
go build
```

Run:

```sh
./uabot
```
